# studio::StateRectangle Class Reference

`#include <state_rectangle.h>`

List of all members.

## Public Member Functions

| StateRectangle ()
| ~StateRectangle ()

## Constructor & Destructor Documentation

StateRectangle::StateRectangle | ( |  | ) |

References studio::EVENT_LAYER_SELECTION_CHANGED, studio::EVENT_REFRESH, studio::EVENT_REFRESH_DUCKS, studio::EVENT_REFRESH_TOOL_OPTIONS, studio::EVENT_STOP, studio::EVENT_WORKAREA_MOUSE_BUTTON_DOWN, studio::EVENT_WORKAREA_MOUSE_BUTTON_DRAG, and studio::EVENT_WORKAREA_MOUSE_BUTTON_UP.

StateRectangle::~StateRectangle | ( |  | ) |

The documentation for this class was generated from the following files:

- state_rectangle.h
- state_rectangle.cpp